[TikiWiki-commits] [Git][tikiwiki/tiki][master] [ENH] Add CI job to check usage of ^ operator in composer.json
"Marc Laporte \(@marclaporte\) via TikiWiki-cvs" <[email protected]>
| Newsgroups | gmane.comp.cms.tiki.cvs |
|---|---|
| Message-ID | <688bff122063_2cd5f0c35816@gitlab-sidekiq-low-urgency-cpu-bound-v2-78ddbdb4c5-lgvqx.mail> |
Marc Laporte pushed to branch master at Tiki Wiki CMS Groupware / Tiki
Commits:
6058cb94 by Landry Bitege at 2025-07-31T23:33:16+00:00
[ENH] Add CI job to check usage of ^ operator in composer.json
---
* [ENH] Add CI job to check usage of ^ operator in composer.json
* [ENH] Add CI job to check usage of ^ operator in composer.json
* [ENH] Add CI job to check usage of ^ operator in composer.json
See merge request tikiwiki/tiki!7987
- - - - -
2 changed files:
- .gitlab-ci.yml
- + doc/devtools/check_caret_operator.sh
Changes:
=====================================
.gitlab-ci.yml
=====================================
@@ -711,3 +711,18 @@ composer-stability:
artifacts:
when: always # Always upload artifacts even if job fails
allow_failure: true # Allow job to fail without failing the pipeline
+
+composer-operator-check:
+ stage: composer-stability
+ image: ${DEPENDENCY_PROXY_PREFIX}${BASE_QA_IMAGE}
+ needs:
+ - composer
+ script:
+ - chmod +x doc/devtools/check_caret_operator.sh
+ - ./doc/devtools/check_caret_operator.sh
+ rules:
+ - if: $CI_PIPELINE_SOURCE == "merge_request_event"
+ when: always
+ - if: $CI_PIPELINE_SOURCE == "push"
+ when: always
+ allow_failure: false
=====================================
doc/devtools/check_caret_operator.sh
=====================================
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -e
+
+echo "Checking for ^ operators in composer.json require and require-dev..."
+
+MATCHES=$(jq '.require, .["require-dev"]' vendor_bundled/composer.json | grep -E '": "\^' || true)
+
+if [ -n "$MATCHES" ]; then
+ echo "Error: '^' operator found in composer.json. Use tilde (~) instead on these dependencies:"
+ echo "$MATCHES"
+ exit 1
+else
+ echo "Check passed: No ^ operator found in composer.json."
+fi
View it on GitLab: https://gitlab.com/tikiwiki/tiki/-/commit/6058cb949d98b80e26ccfc9bfc69333533cc9add
--
View it on GitLab: https://gitlab.com/tikiwiki/tiki/-/commit/6058cb949d98b80e26ccfc9bfc69333533cc9add
You're receiving this email because of your account on gitlab.com.
_______________________________________________
TikiWiki-cvs mailing list
[email protected]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-cvs